Retrieve Instance status history

View as Markdown

Get Instance status history

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
instanceIdstringRequired
ID of the Instance

Query parameters

pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderBystringOptional
Ordering for pagination query

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

OK
statusstringOptional
State of the associated entity at a particular time
messagestring or nullOptional

Description of the state and cause/remedy in case of error

createddatetimeOptionalRead-only

Date/time when the associated entity assumed the status

updateddatetimeOptionalRead-only

Date/time when the associated entity was last observed with this status

Errors

403
Forbidden Error